Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.validation
Class ClassOrRestrictionIdentifier

    java.lang.Object
      |
      +--org.semanticweb.owl.model.helper.OWLObjectVisitorAdapter
            |
            +--uk.ac.man.cs.img.owl.validation.ClassOrRestrictionIdentifier

All Implemented Interfaces:
  OWLObjectVisitor

public class ClassOrRestrictionIdentifier
extends OWLObjectVisitorAdapter

Tells you whether the given object is an OWLClass.

Version:
  $Id: ClassOrRestrictionIdentifier.java,v 1.1.1.1 2003/10/14 17:10:19 sean_bechhofer Exp $

Constructor Summary
`ClassOrRestrictionIdentifier()`

Method Summary
`boolean` | `isClass()`
`boolean` | `isClassOrRestriction()`
`boolean` | `isClassOrSimpleRestriction()`
`boolean` | `isRestriction()`
`void` | `reset()`
`void` | `visit(OWLClass node)`
`void` | `visit(OWLDataAllRestriction node)`
`void` | `visit(OWLDataCardinalityRestriction node)`
`void` | `visit(OWLDataSomeRestriction node)`
`void` | `visit(OWLDataValueRestriction node)`
`void` | `visit(OWLObjectAllRestriction node)`
`void` | `visit(OWLObjectCardinalityRestriction node)`
`void` | `visit(OWLObjectSomeRestriction node)`
`void` | `visit(OWLObjectValueRestriction node)`

Methods inherited from class org.semanticweb.owl.model.helper.OWLObjectVisitorAdapter
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassOrRestrictionIdentifier

    public ClassOrRestrictionIdentifier()

Method Detail

### reset

    public void reset()

### isClassOrRestriction

    public boolean isClassOrRestriction()

### isClassOrSimpleRestriction

    public boolean isClassOrSimpleRestriction()

### isClass

    public boolean isClass()

### isRestriction

    public boolean isRestriction()

### visit

    public void visit(OWLClass node)

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`

### visit

    public void visit(OWLDataAllRestriction node)

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`

### visit

    public void visit(OWLDataSomeRestriction node)

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`

### visit

    public void visit(OWLDataCardinalityRestriction node)

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`

### visit

    public void visit(OWLDataValueRestriction node)

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`

### visit

    public void visit(OWLObjectAllRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLObjectSomeRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLObjectCardinalityRestriction node)

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`

### visit

    public void visit(OWLObjectValueRestriction node)

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb